Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Newer
Older
100644 75 lines (65 sloc) 1.615 kb
da23fdb @sferik Use HTTPS rubygems source
sferik authored
1 source 'https://rubygems.org'
69689e8 @qrush Making bundler a little happier
qrush authored
2
fc90ea1 @sferik Update rails dependency to version 3.2.7
sferik authored
3 gem 'rails', '~> 3.2.7'
1427175 @sferik Update rails, mail, and all sub-dependencies
sferik authored
4
126ba18 @sferik Hoptoad is now Airbrake
sferik authored
5 gem 'airbrake'
89f1575 @qrush update clearance to 0.16.2
qrush authored
6 gem 'clearance', '~> 0.16.2'
d398c3d @qrush bump to Rails 3.2!
qrush authored
7 gem 'dynamic_form'
82386ff @sferik Let's try this again
sferik authored
8 gem 'excon'
86fa58a @sferik Begin updating gem dependencies
sferik authored
9 gem 'fog'
4d9db7b @nickrivadeneira Move to capybara/cucumber 1.0
nickrivadeneira authored
10 gem 'gchartrb', :require => 'google_chart'
0630956 @sferik Update gravtastic dependency to version 3.1.0
sferik authored
11 gem 'gravtastic'
92a050f @sferik Update high_voltage dependency to version 1.0.0
sferik authored
12 gem 'high_voltage'
07bff51 @sferik Update guard-cucumber dependency to version 0.7.2
sferik authored
13 gem 'jquery-rails'
5710d7e @sferik Don't specify mail version in the Gemfile
sferik authored
14 gem 'mail'
e06338a @sferik Add explicit mutli_json dependency
sferik authored
15 gem 'multi_json'
3290904 @sferik Update paul_revere dependency to version 0.2.0
sferik authored
16 gem 'paul_revere'
86fa58a @sferik Begin updating gem dependencies
sferik authored
17 gem 'pg'
6fb0cc2 @sferik Revert "Downgrade rack to see if that's what's causing the maintenance i...
sferik authored
18 gem 'rack'
08a683e @sferik Update rack dependency to version 1.2.3
sferik authored
19 gem 'rack-maintenance', :require => 'rack/maintenance'
60243e5 @sferik Add explicit rdoc dependency for simple_markup
sferik authored
20 gem 'rdoc'
a3acb17 @sferik Update redis dependency to version 2.2.1
sferik authored
21 gem 'redis'
4d9db7b @nickrivadeneira Move to capybara/cucumber 1.0
nickrivadeneira authored
22 gem 'rest-client', :require => 'rest_client'
899feb6 @sferik Remove remaining (non-prerelease) version numbers from Gemfile.
sferik authored
23 gem 'sinatra'
eaf42b0 @sferik Unquarantine validates_formatting_of
sferik authored
24 gem 'validates_formatting_of', '>= 0.3.0'
3fa4498 @sferik Update will_paginate dependency to version 3.0.0
sferik authored
25 gem 'will_paginate'
69d8efe @sferik Update xml-simple dependency to version 1.1.0
sferik authored
26 gem 'xml-simple'
1733fcd @qrush go back to yajl since oj isn't compiling
qrush authored
27 gem 'yajl-ruby', :require => 'yajl'
3370b09 @qrush Bundle this up
qrush authored
28
d398c3d @qrush bump to Rails 3.2!
qrush authored
29 # enable if on heroku, make sure to toss this into an initializer:
30 # Rails.application.config.middleware.use HerokuAssetCacher
31 #gem 'heroku_asset_cacher', :git => "git@github.com/qrush/heroku_asset_cacher"
32
14f2ba5 @sferik Add entity-relationship diagram
sferik authored
33 group :development do
60b2e1d @qrush hook up rvm cap integration, stop hardcoding REE for bluepill
qrush authored
34 gem 'capistrano-ext'
14f2ba5 @sferik Add entity-relationship diagram
sferik authored
35 gem 'rails-erd'
60b2e1d @qrush hook up rvm cap integration, stop hardcoding REE for bluepill
qrush authored
36 gem 'rvm'
1540a53 @sferik Add pry as a development dependency
sferik authored
37 gem 'pry'
14f2ba5 @sferik Add entity-relationship diagram
sferik authored
38 end
39
c61c40d @sferik Try removing explicit yaml requires to fix syck bug
sferik authored
40 group :development, :test do
39c3b05 @cmeiklejohn Add guard.
cmeiklejohn authored
41 gem 'guard'
42 gem 'guard-cucumber'
e3f1257 @cmeiklejohn Add guard-bundler.
cmeiklejohn authored
43 gem 'guard-bundler'
c61c40d @sferik Try removing explicit yaml requires to fix syck bug
sferik authored
44 end
45
78f4c37 @qrush Moving to bundler 0.9
qrush authored
46 group :test do
07bff51 @sferik Update guard-cucumber dependency to version 0.7.2
sferik authored
47 gem 'capybara'
a4112e3 @sferik Fix cucumber-rails warning
sferik authored
48 gem 'cucumber-rails', :require => false
9a0abf0 @sferik Update database_cleaner dependency to version 0.6.7
sferik authored
49 gem 'database_cleaner'
a785b58 @sferik Update factory_girl_rails dependency to version 3.0.0
sferik authored
50 gem 'factory_girl_rails'
928b5c7 @sferik Update launchy dependency to version 0.4.0
sferik authored
51 gem 'launchy'
86fa58a @sferik Begin updating gem dependencies
sferik authored
52 gem 'nokogiri'
4d9db7b @nickrivadeneira Move to capybara/cucumber 1.0
nickrivadeneira authored
53 gem 'rack-test', :require => 'rack/test'
2872b3a @sferik Update rr dependency to version 1.0.2
sferik authored
54 gem 'rr'
b15bb01 @cmeiklejohn Don't require test/unit too early.
cmeiklejohn authored
55 gem 'shoulda', :require => false
0150eec @qrush stop testing on 1.9.3 for now so we can see test output, remove 1.8 junk
qrush authored
56 #gem 'test-unit', :require => 'test/unit'
899feb6 @sferik Remove remaining (non-prerelease) version numbers from Gemfile.
sferik authored
57 gem 'timecop'
48cbd69 @sferik Update webmock dependency to version 1.6.4
sferik authored
58 gem 'webmock'
6bb9d32 Get gemcutter running on the bundler
Carl Lerche authored
59 end
c61c40d @sferik Try removing explicit yaml requires to fix syck bug
sferik authored
60
b66eff4 @sferik Apparently validates_formatting_of is also bad
sferik authored
61 # For some reason, including these gems in the maintenance environment enables
d81d7a8 @sferik For some reason, including this gem in the maintenance environment enabl...
sferik authored
62 # maintenance mode
63 group :development, :test, :staging, :production do
fb80f2f @sferik Move daemons into purgatory
sferik authored
64 gem 'daemons'
91ee5b7 @sferik Apparently this needs to be in here too
sferik authored
65 gem 'delayed_job', '~> 3.0.0.pre'
d81d7a8 @sferik For some reason, including this gem in the maintenance environment enabl...
sferik authored
66 gem 'delayed_job_active_record'
627fd62 @qrush add rpm contrib, move newrelic related gems to be disabled in maintenanc...
qrush authored
67
68 gem 'newrelic_rpm'
7ba2760 @evanphx Switch to newrelic-redis gem rather than rpm_contrib
evanphx authored
69 gem 'newrelic-redis'
d81d7a8 @sferik For some reason, including this gem in the maintenance environment enabl...
sferik authored
70 end
71
c61c40d @sferik Try removing explicit yaml requires to fix syck bug
sferik authored
72 platforms :jruby do
73 gem 'jruby-openssl'
74 end
Something went wrong with that request. Please try again.